Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SOPGTR

    java.lang.Object
      org.netlib.lapack.SOPGTR

    public class SOPGTR

extends java.lang.Object

    SOPGTR is a simplified interface to the JLAPACK routine sopgtr.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SOPGTR generates a real orthogonal matrix Q which is defined as the
     *  product of n-1 elementary reflectors H(i) of order n, as returned by

     *  SSPTRD using packed storage:
     *
     *  if UPLO = 'U', Q = H(n-1) . . . H(2) H(1),
     *
     *  if UPLO = 'L', Q = H(1) H(2) . . . H(n-1).
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U': Upper triangular packed storage used in previous
     *                 call to SSPTRD;
     *          = 'L': Lower triangular packed storage used in previous
     *                 call to SSPTRD.
     *
     *  N       (input) INTEGER
     *          The order of the matrix Q. N >= 0.
     *
     *  AP      (input) REAL array, dimension (N*(N+1)/2)
     *          The vectors which define the elementary reflectors, as
     *          returned by SSPTRD.
     *
     *  TAU     (input) REAL array, dimension (N-1)
     *          TAU(i) must contain the scalar factor of the elementary
     *          reflector H(i), as returned by SSPTRD.
     *
     *  Q       (output) REAL array, dimension (LDQ,N)
     *          The N-by-N orthogonal matrix Q.
     *
     *  LDQ     (input) INTEGER
     *          The leading dimension of the array Q. LDQ >= max(1,N).
     *
     *  WORK    (workspace) REAL array, dimension (N-1)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SOPGTR()`

Method Summary
`static void` | `SOPGTR(java.lang.String uplo, int n, float[] ap, float[] tau, float[][] q, float[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOPGTR

    public SOPGTR()

Method Detail

### SOPGTR

    public static void SOPGTR(java.lang.String uplo,
                              int n,
                              float[] ap,
                              float[] tau,
                              float[][] q,
                              float[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD